import 'package:clean/base/base_controller.dart';
import 'package:clean/data/api/response/wallpaper_list_response.dart';
import 'package:clean/data/bean/wallpapers_bean.dart';
import 'package:clean/data/repositories/wallpaper_repositories.dart';
import 'package:clean/dialog/wallpaper_detail_dialog.dart';
import 'package:clean/router/app_pages.dart';
import 'package:get/get.dart';

class WallPaperController extends BaseController {
  RxList<WallpapersBean> get wallpapersList =>
      wallpaperRepository.wallpapersList;

  @override
  void onInit() {
    super.onInit();
    wallpaperRepository.wallpaperList();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  clickBack() {
    Get.back();
  }

  clickWallpaper(WallpapersBean? wallpapersBean) {
    wallpaperDetailDialog(wallpapersBean: wallpapersBean);
  }
}
